// CAUTION:
//       Do not edit this file manually.
//       This file is generated by "gawk -f errdef.awk mtcerrno.def"

//
//  MODULE: mtcerrno.h
//

#ifndef MTCERRNO_H
#define MTCERRNO_H (1)    // Set flag indicating this file was included

//
//++
//      Copyright (c) Stratus Technologies Bermuda Ltd., 2008.
//      All Rights Reserved. Unpublished rights reserved
//      under the copyright laws of the United States.
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU Lesser General Public License as published
//      by the Free Software Foundation; version 2.1 only. with the special
//      exception on linking described in file LICENSE.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU Lesser General Public License for more details.
//
//
//  DESCRIPTION:
//
//      This header file defines the intrinsic data types used by Marathon 
//      components. This header file must stand alone, and must not use any 
//      Linux specific definitions from other header files.
//
//  AUTHORS:
//
//      Satoshi Watanabe
//
//  CREATION DATE: March 14, 2008
//
//  DESIGN ISSUES:
//
//  PORTABILITY ISSUES:
//
//--
//

int
status_to_exit(
    MTC_STATUS status);

char *
status_to_message(
    MTC_STATUS status);

#ifdef MTC_NEED_ERROR_TABLE
#define errentry(name, code, mapped_code, message)    {(name), (code), (mapped_code), (message)},
static struct {
	char	    *name;
	MTC_STATUS	status;
	int         exit_code;
    char        *message;
} mtc_errtable[] = {
#else
#define errentry(name, code, mapped_code, message)
#endif

//  Exit codes  (< 128)

#define MTC_EXIT_SUCCESS                        0
	errentry("MTC_EXIT_SUCCESS",  MTC_EXIT_SUCCESS,   0,   "")
#define MTC_EXIT_INVALID_PARAMETER              1
	errentry("MTC_EXIT_INVALID_PARAMETER",  MTC_EXIT_INVALID_PARAMETER,   0,   "Invalid parameter")
#define MTC_EXIT_SYSTEM_ERROR                   2
	errentry("MTC_EXIT_SYSTEM_ERROR",  MTC_EXIT_SYSTEM_ERROR,   0,   "Fatal system error")
#define MTC_EXIT_TRANSIENT_SYSTEM_ERROR         3
	errentry("MTC_EXIT_TRANSIENT_SYSTEM_ERROR",  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,   0,   "Transient system error")
#define MTC_EXIT_WATCHDOG_ERROR                 4
	errentry("MTC_EXIT_WATCHDOG_ERROR",  MTC_EXIT_WATCHDOG_ERROR,   0,   "Watchdog error")
#define MTC_EXIT_IMPROPER_LICENSE               5
	errentry("MTC_EXIT_IMPROPER_LICENSE",  MTC_EXIT_IMPROPER_LICENSE,   0,   "Improper license")
#define MTC_EXIT_CAN_NOT_READ_CONFIG_FILE       6
	errentry("MTC_EXIT_CAN_NOT_READ_CONFIG_FILE",  MTC_EXIT_CAN_NOT_READ_CONFIG_FILE,   0,   "Config-file is inaccessible")
#define MTC_EXIT_INVALID_CONFIG_FILE            7
	errentry("MTC_EXIT_INVALID_CONFIG_FILE",  MTC_EXIT_INVALID_CONFIG_FILE,   0,   "Invalid config-file contents")
#define MTC_EXIT_CAN_NOT_ACCESS_STATEFILE       8
	errentry("MTC_EXIT_CAN_NOT_ACCESS_STATEFILE",  MTC_EXIT_CAN_NOT_ACCESS_STATEFILE,   0,   "State-File is inaccessible")
#define MTC_EXIT_INVALID_STATE_FILE             9
	errentry("MTC_EXIT_INVALID_STATE_FILE",  MTC_EXIT_INVALID_STATE_FILE,   0,   "Invalid State-File contents")
#define MTC_EXIT_GENERATION_UUID_MISMATCH       10
	errentry("MTC_EXIT_GENERATION_UUID_MISMATCH",  MTC_EXIT_GENERATION_UUID_MISMATCH,  0,   "Generation UUID mismatch")
#define MTC_EXIT_INVALID_POOL_STATE             11
	errentry("MTC_EXIT_INVALID_POOL_STATE",  MTC_EXIT_INVALID_POOL_STATE,  0,   "Invalid pool state")
#define MTC_EXIT_BOOTJOIN_TIMEOUT               12
	errentry("MTC_EXIT_BOOTJOIN_TIMEOUT",  MTC_EXIT_BOOTJOIN_TIMEOUT,  0,   "Join timeout during start")
#define MTC_EXIT_CAN_NOT_JOIN_EXISTING_LIVESET  13
	errentry("MTC_EXIT_CAN_NOT_JOIN_EXISTING_LIVESET",  MTC_EXIT_CAN_NOT_JOIN_EXISTING_LIVESET,  0,   "Join is not allowed")
#define MTC_EXIT_DAEMON_IS_NOT_PRESENT          14
	errentry("MTC_EXIT_DAEMON_IS_NOT_PRESENT",  MTC_EXIT_DAEMON_IS_NOT_PRESENT,  0,   "Daemon is not present")
#define MTC_EXIT_DAEMON_IS_PRESENT              15
	errentry("MTC_EXIT_DAEMON_IS_PRESENT",  MTC_EXIT_DAEMON_IS_PRESENT,  0,   "Daemon is (already) present")
#define MTC_EXIT_INVALID_ENVIRONMENT            16
	errentry("MTC_EXIT_INVALID_ENVIRONMENT",  MTC_EXIT_INVALID_ENVIRONMENT,  0,   "Invalid operation environment")
#define MTC_EXIT_INVALID_LOCALHOST_STATE        17
	errentry("MTC_EXIT_INVALID_LOCALHOST_STATE",  MTC_EXIT_INVALID_LOCALHOST_STATE,  0,   "Invalid local host state")
#define MTC_EXIT_BOOT_BLOCKED_BY_EXCLUDED       18
	errentry("MTC_EXIT_BOOT_BLOCKED_BY_EXCLUDED",  MTC_EXIT_BOOT_BLOCKED_BY_EXCLUDED,  0,   "Start failed")
#define MTC_EXIT_SET_EXCLUDED                   19
	errentry("MTC_EXIT_SET_EXCLUDED",  MTC_EXIT_SET_EXCLUDED,  0,   "Exclude flag is set while the daemon is operating")

#define MTC_EXIT_INTERNAL_BUG                   127
	errentry("MTC_EXIT_INTERNAL_BUG",  MTC_EXIT_INTERNAL_BUG,  0,  "Internal bug")

//  Main

#define MTC_SUCCESS                             0
	errentry("MTC_SUCCESS",  MTC_SUCCESS,                 MTC_EXIT_SUCCESS,              "")
#define MTC_ERROR_SYSTEM_LEVEL_FAILURE          (1000 + 100 + 0)
	errentry("MTC_ERROR_SYSTEM_LEVEL_FAILURE",  MTC_ERROR_SYSTEM_LEVEL_FAILURE,  MTC_EXIT_SYSTEM_ERROR,         "System level failure")
#define MTC_ERROR_DAEMON_EXIST                  (1000 + 100 + 1)
	errentry("MTC_ERROR_DAEMON_EXIST",  MTC_ERROR_DAEMON_EXIST,  MTC_EXIT_DAEMON_IS_PRESENT,    "Daemon is already present")
#define MTC_ERROR_IMPROPER_LICENSE              (1000 + 100 + 2)
	errentry("MTC_ERROR_IMPROPER_LICENSE",  MTC_ERROR_IMPROPER_LICENSE,  MTC_EXIT_IMPROPER_LICENSE,     "Improper license")
#define MTC_ERROR_INVALID_PARAMETER             (1000 + 100 + 3)
	errentry("MTC_ERROR_INVALID_PARAMETER",  MTC_ERROR_INVALID_PARAMETER,  MTC_EXIT_INVALID_PARAMETER,    "Invalid parameter")

//  Config-file read

#define MTC_ERROR_CF_INVALID_PARAMETER          (1000 + 200 + 0)
	errentry("MTC_ERROR_CF_INVALID_PARAMETER",  MTC_ERROR_CF_INVALID_PARAMETER,  MTC_EXIT_INTERNAL_BUG,         "Invalid parameter")
#define MTC_ERROR_CF_INVALID_FORMAT             (1000 + 200 + 1)
	errentry("MTC_ERROR_CF_INVALID_FORMAT",  MTC_ERROR_CF_INVALID_FORMAT,  MTC_EXIT_INVALID_CONFIG_FILE,  "Invalid config-file format")
#define MTC_ERROR_CF_OPEN                       (1000 + 200 + 2)
	errentry("MTC_ERROR_CF_OPEN",  MTC_ERROR_CF_OPEN,  MTC_EXIT_CAN_NOT_READ_CONFIG_FILE,  "Could not open the config-file")

//  Common Object Manager

#define MTC_ERROR_COM_INSUFFICIENT_RESOURCE     (1000 + 300 + 0)
	errentry("MTC_ERROR_COM_INSUFFICIENT_RESOURCE",  MTC_ERROR_COM_INSUFFICIENT_RESOURCE,  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,  "Insufficient resource")
#define MTC_ERROR_COM_PTHREAD                   (1000 + 300 + 1)
	errentry("MTC_ERROR_COM_PTHREAD",  MTC_ERROR_COM_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,         "Pthread error")
#define MTC_ERROR_COM_CALLBACK_NOT_EXIST        (1000 + 300 + 2)
	errentry("MTC_ERROR_COM_CALLBACK_NOT_EXIST",  MTC_ERROR_COM_CALLBACK_NOT_EXIST,  MTC_EXIT_INTERNAL_BUG,         "Callback does not exist")
#define MTC_ERROR_COM_INVALID_HANDLE            (1000 + 300 + 3)
	errentry("MTC_ERROR_COM_INVALID_HANDLE",  MTC_ERROR_COM_INVALID_HANDLE,  MTC_EXIT_INTERNAL_BUG,         "Invalid handle")

//  Watchdog

#define MTC_ERROR_WD_INSUFFICIENT_RESOURCE      (1000 + 400 + 0)
	errentry("MTC_ERROR_WD_INSUFFICIENT_RESOURCE",  MTC_ERROR_WD_INSUFFICIENT_RESOURCE,  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,  "Insufficient resource")
#define MTC_ERROR_WD_OPEN                       (1000 + 400 + 1)
	errentry("MTC_ERROR_WD_OPEN",  MTC_ERROR_WD_OPEN,  MTC_EXIT_WATCHDOG_ERROR,       "Could not open a watchdog instance")
#define MTC_ERROR_WD_INSTANCE_UNAVAILABLE       (1000 + 400 + 2)
	errentry("MTC_ERROR_WD_INSTANCE_UNAVAILABLE",  MTC_ERROR_WD_INSTANCE_UNAVAILABLE,  MTC_EXIT_WATCHDOG_ERROR,       "No watchdog instance is available")
#define MTC_ERROR_WD_INVALID_HANDLE             (1000 + 400 + 3)
	errentry("MTC_ERROR_WD_INVALID_HANDLE",  MTC_ERROR_WD_INVALID_HANDLE,  MTC_EXIT_INTERNAL_BUG,         "Invalid handle")

//  State-File

#define MTC_ERROR_SF_INSUFFICIENT_RESOURCE      (1000 + 500 + 0)
	errentry("MTC_ERROR_SF_INSUFFICIENT_RESOURCE",  MTC_ERROR_SF_INSUFFICIENT_RESOURCE,  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,   "Insufficient resource")
#define MTC_ERROR_SF_OPEN                       (1000 + 500 + 1)
	errentry("MTC_ERROR_SF_OPEN",  MTC_ERROR_SF_OPEN,  MTC_EXIT_CAN_NOT_ACCESS_STATEFILE, "Could not open the State-File")
#define MTC_ERROR_SF_IO_ERROR                   (1000 + 500 + 2)
	errentry("MTC_ERROR_SF_IO_ERROR",  MTC_ERROR_SF_IO_ERROR,  MTC_EXIT_CAN_NOT_ACCESS_STATEFILE, "Error in State-File access")
#define MTC_ERROR_SF_CORRUPTION                 (1000 + 500 + 3)
	errentry("MTC_ERROR_SF_CORRUPTION",  MTC_ERROR_SF_CORRUPTION,  MTC_EXIT_INVALID_STATE_FILE,       "Corrupted State-File")
#define MTC_ERROR_SF_VERSION_MISMATCH           (1000 + 500 + 4)
	errentry("MTC_ERROR_SF_VERSION_MISMATCH",  MTC_ERROR_SF_VERSION_MISMATCH,  MTC_EXIT_INVALID_STATE_FILE,       "State-File version mismatch")
#define MTC_ERROR_SF_PTHREAD                    (1000 + 500 + 5)
	errentry("MTC_ERROR_SF_PTHREAD",  MTC_ERROR_SF_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,             "Pthread error")
#define MTC_ERROR_SF_PENDING_WRITE              (1000 + 500 + 6)
	errentry("MTC_ERROR_SF_PENDING_WRITE",  MTC_ERROR_SF_PENDING_WRITE,  -1,                                "")
#define MTC_ERROR_SF_GEN_UUID                   (1000 + 500 + 7)
	errentry("MTC_ERROR_SF_GEN_UUID",  MTC_ERROR_SF_GEN_UUID,  MTC_EXIT_GENERATION_UUID_MISMATCH, "Generation UUID mismatch")
#define MTC_ERROR_SF_INVALID_POOL_STATE         (1000 + 500 + 8)
	errentry("MTC_ERROR_SF_INVALID_POOL_STATE",  MTC_ERROR_SF_INVALID_POOL_STATE,  MTC_EXIT_INVALID_POOL_STATE,       "Invalid pool state")


//  Script

#define MTC_ERROR_SC_INSUFFICIENT_RESOURCE      (1000 + 600 + 0)
	errentry("MTC_ERROR_SC_INSUFFICIENT_RESOURCE",  MTC_ERROR_SC_INSUFFICIENT_RESOURCE,  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,   "Insufficient resource")
#define MTC_ERROR_SC_SOCKET                     (1000 + 600 + 1)
	errentry("MTC_ERROR_SC_SOCKET",  MTC_ERROR_SC_SOCKET,  MTC_EXIT_SYSTEM_ERROR,             "Socket error")
#define MTC_ERROR_SC_PTHREAD                    (1000 + 600 + 2)
	errentry("MTC_ERROR_SC_PTHREAD",  MTC_ERROR_SC_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,             "Pthread error")
#define MTC_ERROR_SC_CONNECT_TO_DAEMON          (1000 + 600 + 3)
	errentry("MTC_ERROR_SC_CONNECT_TO_DAEMON",  MTC_ERROR_SC_CONNECT_TO_DAEMON,  MTC_EXIT_DAEMON_IS_NOT_PRESENT,    "Could not connect to the daemon")
#define MTC_ERROR_SC_READ_ERROR                 (1000 + 600 + 4)
	errentry("MTC_ERROR_SC_READ_ERROR",  MTC_ERROR_SC_READ_ERROR,  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,   "Could not read from the socket")
#define MTC_ERROR_SC_WRITE_ERROR                (1000 + 600 + 5)
	errentry("MTC_ERROR_SC_WRITE_ERROR",  MTC_ERROR_SC_WRITE_ERROR,  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,   "Could not write to the socket")
#define MTC_ERROR_SC_IMPROPER_DATA              (1000 + 600 + 6)
	errentry("MTC_ERROR_SC_IMPROPER_DATA",  MTC_ERROR_SC_IMPROPER_DATA,  MTC_EXIT_INTERNAL_BUG,             "Wrong data received")
#define MTC_ERROR_SC_INVALID_LOCALHOST_STATE    (1000 + 600 + 7)
	errentry("MTC_ERROR_SC_INVALID_LOCALHOST_STATE",  MTC_ERROR_SC_INVALID_LOCALHOST_STATE,  MTC_EXIT_INVALID_LOCALHOST_STATE,  "Invalid local host state")
#define MTC_ERROR_SC_INVALID_PARAMETER          (1000 + 600 + 8)
	errentry("MTC_ERROR_SC_INVALID_PARAMETER",  MTC_ERROR_SC_INVALID_PARAMETER,  MTC_EXIT_INVALID_PARAMETER,        "Invalid parameter")
#define MTC_ERROR_SC_STATEFILE_ACCESS           (1000 + 600 + 9)
	errentry("MTC_ERROR_SC_STATEFILE_ACCESS",  MTC_ERROR_SC_STATEFILE_ACCESS,  MTC_EXIT_CAN_NOT_ACCESS_STATEFILE, "Could not access the State-File")
#define MTC_ERROR_SC_INVALID_POOL_STATE         (1000 + 600 + 10)
	errentry("MTC_ERROR_SC_INVALID_POOL_STATE",  MTC_ERROR_SC_INVALID_POOL_STATE,  MTC_EXIT_INVALID_POOL_STATE,      "Invalid pool state")

//  Heartbeat

#define MTC_ERROR_HB_INSUFFICIENT_RESOURCE      (1000 + 700 + 0)
	errentry("MTC_ERROR_HB_INSUFFICIENT_RESOURCE",  MTC_ERROR_HB_INSUFFICIENT_RESOURCE,  MTC_EXIT_TRANSIENT_SYSTEM_ERROR,   "Insufficient resource")
#define MTC_ERROR_HB_SOCKET                     (1000 + 700 + 1)
	errentry("MTC_ERROR_HB_SOCKET",  MTC_ERROR_HB_SOCKET,  MTC_EXIT_SYSTEM_ERROR,             "Socket error")
#define MTC_ERROR_HB_PTHREAD                    (1000 + 700 + 2)
	errentry("MTC_ERROR_HB_PTHREAD",  MTC_ERROR_HB_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,             "Pthread error")
#define MTC_ERROR_HB_FENCEREQUESTED             (1000 + 700 + 3)
	errentry("MTC_ERROR_HB_FENCEREQUESTED",  MTC_ERROR_HB_FENCEREQUESTED,  MTC_EXIT_SYSTEM_ERROR,             "Fence is requested")

//  Log

#define MTC_ERROR_LOG_PTHREAD                   (1000 + 800 + 0)
	errentry("MTC_ERROR_LOG_PTHREAD",  MTC_ERROR_LOG_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,             "Pthread error")

//  State Manager

#define MTC_ERROR_SM_PTHREAD                    (1000 + 900 + 0)
	errentry("MTC_ERROR_SM_PTHREAD",  MTC_ERROR_SM_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,             "Pthread error")
#define MTC_ERROR_SM_BOOT_TIMEOUT               (1000 + 900 + 1)
	errentry("MTC_ERROR_SM_BOOT_TIMEOUT",  MTC_ERROR_SM_BOOT_TIMEOUT,  MTC_EXIT_BOOTJOIN_TIMEOUT,         "Start timeout")
#define MTC_ERROR_SM_NOSTATEFILE                (1000 + 900 + 2)
	errentry("MTC_ERROR_SM_NOSTATEFILE",  MTC_ERROR_SM_NOSTATEFILE,  MTC_EXIT_CAN_NOT_ACCESS_STATEFILE, "Could not access the State-File")
#define MTC_ERROR_SM_JOIN_FAILED                (1000 + 900 + 3)
	errentry("MTC_ERROR_SM_JOIN_FAILED",  MTC_ERROR_SM_JOIN_FAILED,  MTC_EXIT_CAN_NOT_JOIN_EXISTING_LIVESET,  "Could not join the existing liveset")
#define MTC_ERROR_SM_FAULTHANDLER_TIMEOUT       (1000 + 900 + 4)
	errentry("MTC_ERROR_SM_FAULTHANDLER_TIMEOUT",  MTC_ERROR_SM_FAULTHANDLER_TIMEOUT,  MTC_EXIT_SYSTEM_ERROR,                   "Fault handler timeout")
#define MTC_ERROR_SM_SURVIVALRULE_FAILED        (1000 + 900 + 5)
	errentry("MTC_ERROR_SM_SURVIVALRULE_FAILED",  MTC_ERROR_SM_SURVIVALRULE_FAILED,  MTC_EXIT_SYSTEM_ERROR,                   "Survival rule failed")
#define MTC_ERROR_SM_INVALID_POOL_STATE         (1000 + 900 + 6)
	errentry("MTC_ERROR_SM_INVALID_POOL_STATE",  MTC_ERROR_SM_INVALID_POOL_STATE,  MTC_EXIT_INVALID_POOL_STATE,       "Invalid pool state")
#define MTC_ERROR_SM_ENABLE_TIMEOUT             (1000 + 900 + 7)
	errentry("MTC_ERROR_SM_ENABLE_TIMEOUT",  MTC_ERROR_SM_ENABLE_TIMEOUT,  MTC_EXIT_BOOTJOIN_TIMEOUT,         "Start timeout")
#define MTC_ERROR_SM_BOOT_BLOCKED_BY_EXCLUDED   (1000 + 900 + 8)
	errentry("MTC_ERROR_SM_BOOT_BLOCKED_BY_EXCLUDED",  MTC_ERROR_SM_BOOT_BLOCKED_BY_EXCLUDED,  MTC_EXIT_BOOT_BLOCKED_BY_EXCLUDED, "Start failed")
#define MTC_ERROR_SM_BOOT_FAILED                (1000 + 900 + 9)
	errentry("MTC_ERROR_SM_BOOT_FAILED",  MTC_ERROR_SM_BOOT_FAILED,  MTC_EXIT_CAN_NOT_JOIN_EXISTING_LIVESET, "Start failed")
#define MTC_ERROR_SM_INVALID_INIT_POOL_STATE    (1000 + 900 + 10)
	errentry("MTC_ERROR_SM_INVALID_INIT_POOL_STATE",  MTC_ERROR_SM_INVALID_INIT_POOL_STATE,  MTC_EXIT_INVALID_POOL_STATE,      "Invalid pool state")

//  Xapi monitor

#define MTC_ERROR_XAPIMON_XAPI_FAILED           (1000 + 1000 + 0)
	errentry("MTC_ERROR_XAPIMON_XAPI_FAILED",  MTC_ERROR_XAPIMON_XAPI_FAILED,  MTC_EXIT_SYSTEM_ERROR,            "Xapi has gone offline")
#define MTC_ERROR_XAPIMON_PTHREAD               (1000 + 1000 + 1)
	errentry("MTC_ERROR_XAPIMON_PTHREAD",  MTC_ERROR_XAPIMON_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,            "Pthread error")
#define MTC_ERROR_XAPIMON_PIPE                  (1000 + 1000 + 2)
	errentry("MTC_ERROR_XAPIMON_PIPE",  MTC_ERROR_XAPIMON_PIPE,  MTC_EXIT_SYSTEM_ERROR,            "Pipe error")
#define MTC_ERROR_XAPIMON_FORK                  (1000 + 1000 + 3)
	errentry("MTC_ERROR_XAPIMON_FORK",  MTC_ERROR_XAPIMON_FORK,  MTC_EXIT_SYSTEM_ERROR,            "Fork failed")

//  Lock Manager

#define MTC_ERROR_LM_PTHREAD                    (1000 + 1100 + 0)
	errentry("MTC_ERROR_LM_PTHREAD",  MTC_ERROR_LM_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,            "Pthread error")

//  Bond monitor

#define MTC_ERROR_BM_PTHREAD                    (1000 + 1200 + 0)
	errentry("MTC_ERROR_BM_PTHREAD",  MTC_ERROR_BM_PTHREAD,  MTC_EXIT_SYSTEM_ERROR,            "Pthread error")

//  Host Weight

#define MTC_ERROR_WEIGHT_OPEN                   (1000 + 1300 + 0)
	errentry("MTC_ERROR_WEIGHT_OPEN",  MTC_ERROR_WEIGHT_OPEN,  MTC_EXIT_SYSTEM_ERROR,            "Could not open the Weight-file")
#define MTC_ERROR_WEIGHT_LOCK                   (1000 + 1300 + 1)
	errentry("MTC_ERROR_WEIGHT_LOCK",  MTC_ERROR_WEIGHT_LOCK,  MTC_EXIT_SYSTEM_ERROR,            "Could not lock the Weight-file")
#define MTC_ERROR_WEIGHT_IO_ERROR               (1000 + 1300 + 2)
	errentry("MTC_ERROR_WEIGHT_IO_ERROR",  MTC_ERROR_WEIGHT_IO_ERROR,  MTC_EXIT_SYSTEM_ERROR,            "Error in Weight-File access")
#define MTC_ERROR_WEIGHT_TABLE_FULL             (1000 + 1300 + 3)
	errentry("MTC_ERROR_WEIGHT_TABLE_FULL",  MTC_ERROR_WEIGHT_TABLE_FULL,  MTC_EXIT_INVALID_PARAMETER,       "Too many classes are defined")




//  Undefined

#define MTC_ERROR_UNDEFINED                     (1000 + 9000 + 0)
	errentry("MTC_ERROR_UNDEFINED",  MTC_ERROR_UNDEFINED,  MTC_EXIT_INTERNAL_BUG,            "")

#ifdef MTC_NEED_ERROR_TABLE
};
#endif

#endif	// MTCERRNO_H
